require 'spec_helper'

describe Almicube::Builder do
  let(:builder) { described_class.new }

  describe "#selector" do
    describe "defaults all selector" do
      it { expect(builder.selector).to be_kind_of Almicube::Selector::AllSelector }
    end

    describe "with class name on initializer" do
      before { builder.selector = "MockSelector" }
      it { expect(builder.selector).to be_kind_of MockSelector }
    end
  end

  describe "#data" do
    describe "returns DataRanking instance" do
      it { expect(builder.data).to be_kind_of Almicube::Ranking::DataRanking }
    end
  end
end
