require 'spec_helper'

describe Almicube::Bundler::DaysAgoBundler do
  let(:ranking) { Almicube::Ranking::DataRanking.new }

  describe "#name" do
    let(:bundler) { described_class.new range: 7 }
    before { bundler.ranking = ranking }
    it { expect(bundler.name).to eq :"7-days-ago" }
  end

  describe "#keys" do
    let(:bundler) { described_class.new range: 7 }
    before { bundler.ranking = ranking }
    it { expect(bundler.keys.length).to eq 7 }
    7.times.each do |i|
      it { expect(bundler.keys[i]).to match /:#{(Date.today-(i+1).days).strftime("%Y%m%d")}:/ }
    end
  end
end
