require 'spec_helper'

describe Almicube::Bundler::TodayBundler do
  let(:bundler) { described_class.new bundle: :bundle }

  describe "#name" do
    it { expect(bundler.name).to eq :bundle }
  end

  describe "#bundle" do
    it { expect(bundler.bundle).to eq bundler.name }
  end

  describe "#active?" do
    context "with ranking" do
      before { bundler.ranking = double() }
      it { expect(bundler).to be_active }
    end

    context "without ranking" do
      it { expect(bundler).not_to be_active }
    end
  end
end
