require 'spec_helper'

describe Almicube::Key do
  describe "#options" do
    context "pass options through constructor" do
      let(:ranking) { Almicube::Ranking::DataRanking.new }
      let(:key) { described_class.new ranking, prefix: "aaa", suffix: "bbb" }

      it { expect(key[:prefix]).to eq "aaa" }
      it { expect(key[:suffix]).to eq "bbb" }
    end

    context "pass options through ranking instance" do
      let(:ranking) { Almicube::Ranking::DataRanking.new prefix: "ccc", suffix: "ddd" }
      let(:key) { described_class.new ranking }

      it { expect(key[:prefix]).to eq "ccc" }
      it { expect(key[:suffix]).to eq "ddd" }
    end
  end

  describe "#to_str" do
    let(:ranking) { double( options: {} ) }
    let(:key) { described_class.new ranking, prefix: "aaa", suffix: "bbb" }
    before { key[:type] = :built }
    it { expect("#{key}").to match /^aaa:/ }
    it { expect("#{key}").to match /:bbb$/ }
    it { expect("#{key}").to match /:built:/ }
  end
end
