require 'spec_helper'

describe Almicube::Selector::HasManySelector do
  before { @connection = Redis.new }

  describe "#before_aggregate" do
    let(:target) { double( items: [double(to_param: 10)] ) }
    let(:selector) { described_class.new target: target, association_name: :items }
    before { Almicube::Config.config.stub(:connection) { @connection } }
    before { selector.stub(:interstore_key) { "sample-has-many-selector" } }
    it { expect{ selector.before_aggregate }.to change{ @connection.zcard("sample-has-many-selector") }.by 1 }
  end

  describe "#label" do
    let(:target) { double( items: [double(to_param: 10)], to_param: 10) }
    let(:selector) { described_class.new target: target, association_name: :items }
    it { expect(selector.label).to eq "r_spec/mocks/mock-10" }
  end

  describe "#interstore" do
    let(:target) { double( items: [double(to_param: 10)], to_param: 10) }
    let(:key) { Almicube::Key.new double(options: {}), {} }
    let(:selector) { described_class.new target: target, association_name: :items }
    before { selector.ranking = double(key: key) }
    it { expect(selector.interstore.to_s).to match /r_spec\/mocks\/mock-10/ }
  end
end
