require 'spec_helper'
require 'mocks/model'

describe Almicube::Selector::Base do
  describe "#records" do
    let(:selector) { described_class.new }
    it { expect{ selector.records }.to raise_error }
  end

  describe "#initialize" do
    let(:selector) { described_class.new options }
    describe "with class_name" do
      let(:options) { { class_name: MockModelForSelector } }
      it { expect(selector.class_name).to eq MockModelForSelector }
      it { expect(selector.model_class).to eq MockModelForSelector }
    end
  end

  describe "#label" do
    let(:selector) { described_class.new options }
    describe "with label" do
      let(:options) { { label: :sample } }
      it { expect(selector.label).to eq :sample }
    end
  end

  describe "#data_provider?" do
    let(:selector) { described_class.new options }
    describe "is false" do
      let(:options) { {} }
      it { expect(selector).to_not be_data_provider }
    end
  end
end
